Name:           kdbg
Version:        3.0.0
Release:        %mkrel 1
License:        GPLv2+
Summary:        A Graphical Debugger Interface
URL:            http://www.kdbg.org
Group:          Development/Other
Source:         http://downloads.sourceforge.net/kdbg/%{name}-%{version}.tar.gz
BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5WindowSystem)

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Widgets)

Requires:       gdb

%description
KDbg is a graphical user interface to gdb, the GNU debugger. 

It provides an intuitive interface for setting breakpoints,
inspecting variables, and stepping through code. 

%prep
%autosetup -p1

%build
%cmake_kf5
%make_build

%install
%make_install -C build

%find_lang %{name} --with-html

%files -f %{name}.lang
%_kf5_bindir/%{name}
%_kf5_sysconfdir/xdg/kdbgrc
%_kf5_applicationsdir/%{name}.desktop
%_kf5_datadir/%{name}/
%_kf5_datadir/kxmlgui5/%{name}/
%_kf5_iconsdir/hicolor/*/apps/%{name}.png
%_kf5_iconsdir/hicolor/*/apps/%{name}.svgz


%changelog
* Mon Feb 19 2018 daviddavid <daviddavid> 3.0.0-1.mga6
+ Revision: 1202906
- new version: 3.0.0
- port to Qt5/Kf5

* Thu Mar 24 2016 tv <tv> 2.5.4-5.mga6
+ Revision: 994770
- add cmake-3.5 build fix from FC

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.5.4-3.mga5
+ Revision: 745856
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.5.4-2.mga5
+ Revision: 680966
- Mageia 5 Mass Rebuild

* Thu May 01 2014 anaselli <anaselli> 2.5.4-1.mga5
+ Revision: 619319
- New version 2.5.4

* Sat Oct 19 2013 umeabot <umeabot> 2.5.3-2.mga4
+ Revision: 523330
- Mageia 4 Mass Rebuild

* Sun Apr 07 2013 anaselli <anaselli> 2.5.3-1.mga3
+ Revision: 408754
- new 2.5.3 as a bug fixing release

* Sat Jan 12 2013 umeabot <umeabot> 2.5.2-2.mga3
+ Revision: 355919
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 03 2012 anaselli <anaselli> 2.5.2-1.mga3
+ Revision: 287646
- New 2.5.2 version

* Fri Oct 28 2011 fwang <fwang> 2.5.1-1.mga2
+ Revision: 158925
- new version 2.5.1

* Fri Jul 15 2011 anaselli <anaselli> 2.5.0-1.mga2
+ Revision: 124417
- imported package kdbg

